toastr.options.positionClass = 'toast-bottom-right';
//bootstap时间插件
$('.datepicker').datepicker({
	startDate:new Date(),
	format: 'yyyy-mm-dd',
	autoclose: true
})
//编辑模板
function updateModle(){
	var modleFlag1 = $("#modleFlag1").val();
	var modleName = $("#modleName1").val();
	if(modleFlag1 != ''){
		if(modleName != ''){
			var flag = false;
			$.ajax({
				type:'post',
				url:path+"/template/updateTemplateSelect",
				data:$("#updateForm").serialize(),
				dataType:'json',
				success:function(data){
					if(null != data && data.code == 0){
						toastr.success("修改成功！");
						flag = true;
					}else{
						toastr.warning(data.msg);
					}
				}
			})
			setTimeout(function(){
				if(flag){
					window.location.reload();
					parent.menu.loadMenuTree();
					//刷新外层树
					//选中新节点
					var node = parent.zTree.getNodeByParam("id",$("#id").val());
					parent.zTree.selectNode(node);
					parent.zTree.expandNode(node, true);
				}
			},1000);
		}else{
			$("#modleName1").focus();
			toastr.warning("模板名称不能为空！");
		}
	}else{
		$("#modleFlag1").focus();
		toastr.warning("模板标识不能为空！");
	}
}
//删除模板
function del(){
	var id = $("#id").val();
	var selectFlagId = $("#selectFlagId").val();
	if(id != ''){
		if(selectFlagId != id){
			Common.confirm({
				title: "提示",
				message: "请确认是否删除该对象?",
				operate: function (reselt) {
					if (reselt) {
						$.ajax({
							type: 'post',
							url: path + '/template/deleteTemplateSelect',
							data: {id: id},
							dataType: 'json',
							success: function (data) {
								//错误编号500，表示有重复
								if (data.code == 0) {
									toastr.success("删除成功！");
								} else {
									toastr.error("删除失败！");
								}
							}
						})
						setTimeout(function () {
							parent.location.reload();
						}, 1000);
					}
				}
			})
		}else{
			toastr.warning("该模板为默认模板，不可删除！");
		}
	}else{
		toastr.warning("未选中，删除无效!");
	}
}
$(function () {
	$('.collapse').collapse({
		toggle: false
	})
});
function checkAll(parentId){
	$('[class=check'+parentId+']:checkbox').prop('checked', $("#checkAll"+parentId).prop("checked"));
}
function check(parentId){
	if ($('.check'+parentId).length == $('.check'+parentId+':checked').length) {
		$('#checkAll'+parentId).prop('checked', true);
	} else {
		$('#checkAll'+parentId).prop('checked', false);
	}
}
function update(){
	var modleId = $("#modleId").val();
	var checks = '';
	$("input[name=check]:checked").each(function(){
		checks += $(this).val() + ",";
	})
	if(checks != ''){
		$.ajax({
			type:'post',
			url:path+'/template/addModleRelated',
			data:{modleId:modleId,checks:checks},
			dataType:'json',
			success:function(data){
				if(data != null && data.code == 0){
					toastr.success("保存成功！");

				}else{
					toastr.error("保存失败！");
				}
			}
		})
		setTimeout(function(){
			window.location.reload();
		},1000);
	}else{
		toastr.warning("请至少选中一个!");
	}

}
